Bug 495804 - Bluetooth disabled
Bluetooth disabled
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 17:20 EDT by Michael Monreal
Modified: 2009-04-16 10:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-16 10:45:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot (39.87 KB, image/png)
2009-04-14 17:25 EDT, Michael Monreal
no flags Details

  None (edit)
Description Michael Monreal 2009-04-14 17:20:25 EDT
With the newest gnome-bluetooth packages in rawhide, bluetooth shows up as disabled and cannot be enabled. Older versions (2.27.0 at least) worked fine.
Comment 1 Michael Monreal 2009-04-14 17:25:58 EDT
Created attachment 339582 [details]
Screenshot
Comment 2 Bastien Nocera 2009-04-14 17:40:47 EDT
Run:
hciconfig hci0 up
as root

We don't show the "Powered" property anymore, and I don't intend on adding it back.
Comment 3 Michael Monreal 2009-04-15 17:00:28 EDT
Hmm too bad. But you are right, manually "hciconfig hci0 up"-ing made it work fine again.
Comment 4 Bastien Nocera 2009-04-16 10:45:30 EDT
bluetoothd is supposed to put the radio up when starting up, or when you insert the dongle (after bluetoothd was started).

That is, as long as InitiallyPowered is true in /etc/bluetooth/main.conf

If you ended up in a case where the adapter wasn't powered up properly, get the output of "bluetoothd -n -d" when you reproduce the problem. Closing as NOTABUG in the meanwhile.

Note You need to log in before you can comment on or make changes to this bug.